Syncfusion AI Assistant

How can I help you?

Export document as pdf in JavaScript (ES5) Document editor control

15 Oct 20259 minutes to read

In this article, we are going to see how to export the document as PDF format. You can export the document as PDF in following ways:

Export the document as pdf in client-side

Use pdf export component in application level to export the document as pdf using exportAsImage API. Here, all pages will be converted to image and inserted as pdf pages(works like print as PDF).

Note:

  • The Document Editor exports PDFs by converting pages into images on the client side, which may slightly increase file size compared to text-based PDFs.
  • Text search is not supported in the exported PDF, as the content is stored as images.
  • You can install the pdf export packages from this link.

The following example code illustrates how to export the document as pdf in client-side.

// Initialize DocumentEditorContainer component.
        var documenteditorContainer = new ej.documenteditor.DocumentEditorContainer({ enableToolbar: true, height: '590px' });
        ej.documenteditor.DocumentEditorContainer.Inject(ej.documenteditor.Toolbar);
        documenteditorContainer.serviceUrl = 'http://localhost:62870/api/documenteditor/';
        //DocumentEditorContainer control rendering starts
        documenteditorContainer.appendTo('#DocumentEditor');

        document.getElementById('export').addEventListener('click', function () {
            let pdfdocument = new ej.pdfexport.PdfDocument();
            let count = container.documentEditor.pageCount;
            container.documentEditor.documentEditorSettings.printDevicePixelRatio = 2;
            let loadedPage = 0;
            for (let i = 1; i <= count; i++) {
                setTimeout(() => {
                    let format = 'image/jpeg';
                    // Getting pages as image
                    let image = container.documentEditor.exportAsImage(i, format);
                    image.onload = function () {
                        let imageHeight = parseInt(image.style.height.toString().replace('px', ''));
                        let imageWidth = parseInt(image.style.width.toString().replace('px', ''));
                        let section = pdfdocument.sections.add();
                        let settings = new ej.pdfexport.PdfPageSettings(0);
                        if (imageWidth > imageHeight) {
                            settings.orientation = PdfPageOrientation.Landscape;
                        }
                        settings.size = new ej.pdfexport.SizeF(imageWidth, imageHeight);
                        section.setPageSettings(settings);
                        let page = section.pages.add();
                        let graphics = page.graphics;
                        let imageStr = image.src.replace('data:image/jpeg;base64,', '');
                        let pdfImage = new ej.pdfexport.PdfBitmap(imageStr);
                        graphics.drawImage(pdfImage, 0, 0, imageWidth, imageHeight);
                        loadedPage++;
                        if (loadedPage == count) {
                            // Exporting the document as pdf
                            pdfdocument.save((container.documentEditor.documentName === ''? 'sample': container.documentEditor.documentName) + '.pdf');
                        }
                    };
                }, 500);
            }
        })

Export document as pdf in server-side using Syncfusion® DocIO

With the help of Syncfusion DocIO, you can export the document as PDF in server-side. Here, you can search the text.

The following way illustrates how to convert the document as PDF:

  • Using serialize API, convert the document as Sfdt and send it to server-side.

The following example code illustrates how to convert the document to sfdt and pass it to server-side.

import { DocumentEditorContainer, Toolbar } from '@syncfusion/ej2-documenteditor';
let container: DocumentEditorContainer = new DocumentEditorContainer({
    enableToolbar: true,
    height: '590px',
});
DocumentEditorContainer.Inject(Toolbar);
container.serviceUrl =
    'https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/';

container.appendTo('#container');

document.getElementById('export').addEventListener('click', function () {
    let http: XMLHttpRequest = new XMLHttpRequest();
    // Replace your running web service Url here
    http.open('POST', 'http://localhost:62869/api/documenteditor/ExportPdf');
    http.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
    http.responseType = 'json';
    //Serialize document content as SFDT.
    let sfdt: any = { content: container.documentEditor.serialize() };
    //Send the sfdt content to server side.
    http.send(JSON.stringify(sfdt));
});

The Web API hosted link https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

The following example code illustrates how to process the sfdt in server-side.

[AcceptVerbs("Post")]
[HttpPost]
[EnableCors("AllowAllOrigins")]
[Route("ExportPdf")]
public void ExportPdf([FromBody]SaveParameter data)
{
    // Converts the sfdt to stream
    Stream document = WordDocument.Save(data.content, FormatType.Docx);
    Syncfusion.DocIO.DLS.WordDocument doc = new Syncfusion.DocIO.DLS.WordDocument(document, Syncfusion.DocIO.FormatType.Docx);
    //Instantiation of DocIORenderer for Word to PDF conversion
    DocIORenderer render = new DocIORenderer();
    //Converts Word document into PDF document
    PdfDocument pdfDocument = render.ConvertToPDF(doc);
    // Saves the document to server machine file system, you can customize here to save into databases or file servers based on requirement.
    FileStream fileStream = new FileStream("sample.pdf", FileMode.OpenOrCreate, FileAccess.ReadWrite);
    //Saves the PDF file
    pdfDocument.Save(fileStream);
    pdfDocument.Close();
    fileStream.Close();
    document.Close();
}

Get the complete working sample in this link.

Syncfusion AI Assistant

How can I help you?

Export document as pdf in Angular Document editor component

20 Oct 202510 minutes to read

In this article, we are going to see how to export the document as PDF format. You can export the document as PDF in following ways:

To quickly get started with exporting to PDF in Document Editor, please check out the video below.

Export the document as pdf in client-side

Use pdf export component in application level to export the document as pdf using exportAsImage API. Here, all pages will be converted to image and inserted as pdf pages(works like print as PDF).

Note:

  • The Document Editor exports PDFs by converting pages into images on the client side, which may slightly increase file size compared to text-based PDFs.
  • Text search is not supported in the exported PDF, as the content is stored as images.
  • You can install the pdf export packages from this link.

The following example code illustrates how to export the document as pdf in client-side.

import { Component, OnInit, ViewChild } from '@angular/core';
import {
  ToolbarService,
  DocumentEditorContainerComponent,
  ImageFormat,
} from '@syncfusion/ej2-angular-documenteditor';
import {
  PdfBitmap,
  PdfDocument,
  PdfPageOrientation,
  PdfPageSettings,
  PdfSection,
  SizeF,
} from '@syncfusion/ej2-pdf-export';
import { DocumentEditorContainerModule } from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  standalone: true,
  imports: [DocumentEditorContainerModule],
  providers: [ToolbarService],
  template: `<button id='export'(click)="onClick()">Export</button>
    <ejs-documenteditorcontainer #documenteditor_default 
      serviceUrl="https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/" 
      height="600px" 
      style="display:block" 
    [enableToolbar]=true >
    </ejs-documenteditorcontainer>
  `,
})
export class AppComponent implements OnInit {
  @ViewChild('documenteditor_default')
  public container?: DocumentEditorContainerComponent;
  ngOnInit(): void {}
  onClick(): void {
    let pdfdocument: PdfDocument = new PdfDocument();
    let count: number = (this.container as DocumentEditorContainerComponent)
      .documentEditor.pageCount;
    let documentName: string = (
      this.container as DocumentEditorContainerComponent
    ).documentEditor.documentName;
    (
      this.container as DocumentEditorContainerComponent
    ).documentEditor.documentEditorSettings.printDevicePixelRatio = 2;
    let loadedPage = 0;
    for (let i = 1; i <= count; i++) {
      setTimeout(() => {
        let format: ImageFormat = 'image/jpeg' as ImageFormat;
        // Getting pages as image
        let image = this.container?.documentEditor.exportAsImage(i, format);
        (image as HTMLImageElement).onload = function () {
          let imageHeight = parseInt(
            (image as HTMLImageElement).style.height
              .toString()
              .replace('px', '')
          );
          let imageWidth = parseInt(
            (image as HTMLImageElement).style.width.toString().replace('px', '')
          );
          let section: PdfSection = pdfdocument.sections.add() as PdfSection;
          let settings: PdfPageSettings = new PdfPageSettings(0);
          if (imageWidth > imageHeight) {
            settings.orientation = PdfPageOrientation.Landscape;
          }
          settings.size = new SizeF(imageWidth, imageHeight);
          (section as PdfSection).setPageSettings(settings);
          let page = section.pages.add();
          let graphics = page.graphics;
          let imageStr = (image as HTMLImageElement).src.replace(
            'data:image/jpeg;base64,',
            ''
          );
          let pdfImage = new PdfBitmap(imageStr);
          graphics.drawImage(pdfImage, 0, 0, imageWidth, imageHeight);
          loadedPage++;
          if (loadedPage == count) {
            // Exporting the document as pdf
            pdfdocument.save(
              (documentName === '' ? 'sample' : documentName) + '.pdf'
            );
          }
        };
      }, 500);
    }
  }
}

The Web API hosted link https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

Export document as pdf in server-side using Syncfusion DocIO

With the help of Syncfusion® DocIO, you can export the document as PDF in server-side. Here, you can search the text.

The following way illustrates how to convert the document as PDF:

  • Using serialize API, convert the document as Sfdt and send it to server-side.

The following example code illustrates how to convert the document to sfdt and pass it to server-side.

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { DocumentEditorContainerModule } from '@syncfusion/ej2-angular-documenteditor';

import { Component, OnInit, ViewChild } from '@angular/core';
import {
  ToolbarService,
  DocumentEditorContainerComponent,
} from '@syncfusion/ej2-angular-documenteditor';
@Component({
  imports: [DocumentEditorContainerModule],

  standalone: true,
  selector: 'app-container',
  // specifies the template string for the DocumentEditorContainer component
  template: `<button id='export'(click)="onClick()">Export</button><ejs-documenteditorcontainer #documenteditor_default serviceUrl="https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/" height="600px" style="display:block" [enableToolbar]=true> </ejs-documenteditorcontainer>`,
  providers: [ToolbarService],
})
export class AppComponent implements OnInit {
  @ViewChild('documenteditor_default')
  public container?: DocumentEditorContainerComponent;

  ngOnInit(): void {}
  onClick(): void {
    let obj = this;
    let http: XMLHttpRequest = new XMLHttpRequest();
    // Replace your running web service Url here
    http.open('POST', 'http://localhost:62869/api/documenteditor/ExportPdf');
    http.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
    http.responseType = 'json';
    //Serialize document content as SFDT.
    let sfdt: any = { content: obj.container?.documentEditor.serialize() };
    //Send the sfdt content to server side.
    http.send(JSON.stringify(sfdt));
  }
}

The Web API hosted link https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

The following example code illustrates how to process the sfdt in server-side.

[AcceptVerbs("Post")]
[HttpPost]
[EnableCors("AllowAllOrigins")]
[Route("ExportPdf")]
public void ExportPdf([FromBody]SaveParameter data)
{
    // Converts the sfdt to stream
    Stream document = WordDocument.Save(data.content, FormatType.Docx);
    Syncfusion.DocIO.DLS.WordDocument doc = new Syncfusion.DocIO.DLS.WordDocument(document, Syncfusion.DocIO.FormatType.Docx);
    //Instantiation of DocIORenderer for Word to PDF conversion
    DocIORenderer render = new DocIORenderer();
    //Converts Word document into PDF document
    PdfDocument pdfDocument = render.ConvertToPDF(doc);
    // Saves the document to server machine file system, you can customize here to save into databases or file servers based on requirement.
    FileStream fileStream = new FileStream("sample.pdf", FileMode.OpenOrCreate, FileAccess.ReadWrite);
    //Saves the PDF file
    pdfDocument.Save(fileStream);
    pdfDocument.Close();
    fileStream.Close();
    document.Close();
}

Get the complete working sample in this link.

Syncfusion AI Assistant

How can I help you?

Export document as pdf in React Document editor component

24 Nov 202510 minutes to read

In this article, we are going to see how to export the document as PDF format. You can export the document as PDF in following ways:

To quickly get started with exporting to PDF in the Document Editor, check out the video below.

Export the document as pdf in client-side

Use pdf export component in application level to export the document as pdf using exportAsImage API. Here, all pages will be converted to image and inserted as pdf pages(works like print as PDF).

Note:

  • The Document Editor exports PDFs by converting pages into images on the client side, which may slightly increase file size compared to text-based PDFs.
  • Text search is not supported in the exported PDF, as the content is stored as images.
  • You can install the pdf export packages from this link.

The following example code illustrates how to export the document as pdf in client-side.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
  DocumentEditorContainerComponent,ImageFormat,Toolbar } from '@syncfusion/ej2-react-documenteditor';
import {
  PdfBitmap,
  PdfDocument,
  PdfPageOrientation,
  PdfPageSettings,
  PdfSection,
  SizeF,
} from '@syncfusion/ej2-pdf-export';
DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
  let container: DocumentEditorContainerComponent;
  let contentChanged:boolean=false;
 function  onClick() {
    let obj = container;
    let pdfdocument: PdfDocument = new PdfDocument();
    let count: number = obj.documentEditor.pageCount;
    obj.documentEditor.documentEditorSettings.printDevicePixelRatio = 2;
    let loadedPage = 0;
    for (let i = 1; i <= count; i++) {
      setTimeout(() => {
        let format: ImageFormat = 'image/jpeg' as ImageFormat;
        // Getting pages as image
        let image = obj.documentEditor.exportAsImage(i, format);
        image.onload = function () {
          let imageHeight = parseInt(
            image.style.height.toString().replace('px', '')
          );
          let imageWidth = parseInt(
            image.style.width.toString().replace('px', '')
          );
          let section: PdfSection = pdfdocument.sections.add() as PdfSection;
          let settings: PdfPageSettings = new PdfPageSettings(0);
          if (imageWidth > imageHeight) {
            settings.orientation = PdfPageOrientation.Landscape;
          }
          settings.size = new SizeF(imageWidth, imageHeight);
          (section as PdfSection).setPageSettings(settings);
          let page = section.pages.add();
          let graphics = page.graphics;
          let imageStr = image.src.replace('data:image/jpeg;base64,', '');
          let pdfImage = new PdfBitmap(imageStr);
          graphics.drawImage(pdfImage, 0, 0, imageWidth, imageHeight);
          loadedPage++;
          if (loadedPage == count) {
              // Exporting the document as pdf
            pdfdocument.save(
              (obj.documentEditor.documentName === ''
                ? 'sample'
                : obj.documentEditor.documentName) + '.pdf'
            );
          }
        };
      }, 500);
    }
  }

    return (
      <div>
      <button id='export' onClick={onClick}>Export</button>
      <DocumentEditorContainerComponent id="container" ref={(scope) => {container = scope; }}
        height={'590px'}
        serviceUrl="https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/"
        enableToolbar={true}
      />
      </div>
    );
  }

export default App;
ReactDOM.render(<App />, document.getElementById('sample'));

The Web API hosted link https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

Export document as pdf in server-side using Syncfusion® DocIO

With the help of Syncfusion DocIO, you can export the document as PDF in server-side. Here, you can search the text.

The following way illustrates how to convert the document as PDF:

  • Using serialize API, convert the document as Sfdt and send it to server-side.

The following example code illustrates how to convert the document to sfdt and pass it to server-side.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
  DocumentEditorContainerComponent, Toolbar
} from '@syncfusion/ej2-react-documenteditor';

DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
  let container: DocumentEditorContainerComponent;
  let contentChanged: boolean = false;
  function onClick() {
    let obj = container;
    let http: XMLHttpRequest = new XMLHttpRequest();
    // Replace your running web service Url here
    http.open('POST', 'http://localhost:62869/api/documenteditor/ExportPdf');
    http.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
    http.responseType = 'json';
    //Serialize document content as SFDT.
    let sfdt: any = { content: obj.documentEditor.serialize() };
    //Send the sfdt content to server side.
    http.send(JSON.stringify(sfdt));
  }
  return (
    <div>
      <button id='export' onClick={onClick}>Export</button>
      <DocumentEditorContainerComponent id="container" ref={(scope) => { container = scope; }}
        height={'590px'}
        serviceUrl="https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/"
        enableToolbar={true}
      />
    </div>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('sample'));

The Web API hosted link https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

The following example code illustrates how to process the sfdt in server-side.

[AcceptVerbs("Post")]
[HttpPost]
[EnableCors("AllowAllOrigins")]
[Route("ExportPdf")]
public void ExportPdf([FromBody]SaveParameter data)
{
    // Converts the sfdt to stream
    Stream document = WordDocument.Save(data.content, FormatType.Docx);
    Syncfusion.DocIO.DLS.WordDocument doc = new Syncfusion.DocIO.DLS.WordDocument(document, Syncfusion.DocIO.FormatType.Docx);
    //Instantiation of DocIORenderer for Word to PDF conversion
    DocIORenderer render = new DocIORenderer();
    //Converts Word document into PDF document
    PdfDocument pdfDocument = render.ConvertToPDF(doc);
    // Saves the document to server machine file system, you can customize here to save into databases or file servers based on requirement.
    FileStream fileStream = new FileStream("sample.pdf", FileMode.OpenOrCreate, FileAccess.ReadWrite);
    //Saves the PDF file
    pdfDocument.Save(fileStream);
    pdfDocument.Close();
    fileStream.Close();
    document.Close();
}

Get the complete working sample in this link.

Syncfusion AI Assistant

How can I help you?

Export document as pdf in Vue Document editor component

14 Oct 202516 minutes to read

In this article, we are going to see how to export the document as PDF format. You can export the document as PDF in following ways:

Export the document as pdf in client-side

Use pdf export component in application level to export the document as pdf using exportAsImage API. Here, all pages will be converted to image and inserted as pdf pages(works like print as PDF).

Note:

  • The Document Editor exports PDFs by converting pages into images on the client side, which may slightly increase file size compared to text-based PDFs.
  • Text search is not supported in the exported PDF, as the content is stored as images.
  • You can install the pdf export packages from this link.

The following example code illustrates how to export the document as pdf in client-side.

<template>
  <div id="app">
    <button id='export' v-on:click="onClick">Export</button>
    <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' height="590px" id='container'
      :enableToolbar='true'></ejs-documenteditorcontainer>
  </div>
</template>
<script setup>
import {
  PdfBitmap,
  PdfDocument,
  PdfPageOrientation,
  PdfPageSettings,
  PdfSection,
  SizeF
} from '@syncfusion/ej2-pdf-export';
import { DocumentEditorContainerComponent as EjsDocumenteditorcontainer, Toolbar } from '@syncfusion/ej2-vue-documenteditor';
import { provide, ref } from 'vue';

const container = ref(null);
const serviceUrl = 'https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/';

//Inject require modules.
provide('DocumentEditorContainer', [Toolbar])

const onClick = function () {
  let pdfdocument = new PdfDocument();
  let count = container.value.ej2Instances.documentEditor.pageCount;
  container.value.ej2Instances.documentEditor.documentEditorSettings.printDevicePixelRatio = 2;
  let loadedPage = 0;
  for (let i = 1; i <= count; i++) {
    setTimeout(() => {
      let format = 'image/jpeg';
      // Getting pages as image
      let image = container.value.ej2Instances.documentEditor.exportAsImage(i, format);
      image.onload = function () {
        let imageHeight = parseInt(
          image.style.height.toString().replace('px', '')
        );
        let imageWidth = parseInt(
          image.style.width.toString().replace('px', '')
        );
        let section = pdfdocument.sections.add();
        let settings = new PdfPageSettings(0);
        if (imageWidth > imageHeight) {
          settings.orientation = PdfPageOrientation.Landscape;
        }
        settings.size = new SizeF(imageWidth, imageHeight);
        (section).setPageSettings(settings);
        let page = section.pages.add();
        let graphics = page.graphics;
        let imageStr = image.src.replace('data:image/jpeg;base64,', '');
        let pdfImage = new PdfBitmap(imageStr);
        graphics.drawImage(pdfImage, 0, 0, imageWidth, imageHeight);
        loadedPage++;
        if (loadedPage == count) {
          // Exporting the document as pdf
          pdfdocument.save(
            (container.value.ej2Instances.documentEditor.documentName === ''
              ? 'sample'
              : container.value.ej2Instances.documentEditor.documentName) + '.pdf'
          );
        }
      };
    }, 500);
  }
}
</script>
<template>
  <div id="app">
    <button id='export' v-on:click="onClick">Export</button>
    <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' height="590px" id='container'
      :enableToolbar='true'></ejs-documenteditorcontainer>
  </div>
</template>
<script>
import {
  PdfBitmap,
  PdfDocument,
  PdfPageOrientation,
  PdfPageSettings,
  PdfSection,
  SizeF
} from '@syncfusion/ej2-pdf-export';
import { DocumentEditorContainerComponent, Toolbar } from '@syncfusion/ej2-vue-documenteditor';

export default {
  components: {
    'ejs-documenteditorcontainer': DocumentEditorContainerComponent
  },
  data() {
    return {
      serviceUrl: 'https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/',
    };
  },
  provide: {
    //Inject require modules.
    DocumentEditorContainer: [Toolbar]
  },
  methods: {
    onClick: function () {
      let pdfdocument = new PdfDocument();
      let count = this.$refs.container.ej2Instances.documentEditor.pageCount;
      this.$refs.container.ej2Instances.documentEditor.documentEditorSettings.printDevicePixelRatio = 2;
      let loadedPage = 0;
      for (let i = 1; i <= count; i++) {
        setTimeout(() => {
          let format = 'image/jpeg';
          // Getting pages as image
          let image = this.$refs.container.ej2Instances.documentEditor.exportAsImage(i, format);
          image.onload = function () {
            let imageHeight = parseInt(
              image.style.height.toString().replace('px', '')
            );
            let imageWidth = parseInt(
              image.style.width.toString().replace('px', '')
            );
            let section = pdfdocument.sections.add();
            let settings = new PdfPageSettings(0);
            if (imageWidth > imageHeight) {
              settings.orientation = PdfPageOrientation.Landscape;
            }
            settings.size = new SizeF(imageWidth, imageHeight);
            (section).setPageSettings(settings);
            let page = section.pages.add();
            let graphics = page.graphics;
            let imageStr = image.src.replace('data:image/jpeg;base64,', '');
            let pdfImage = new PdfBitmap(imageStr);
            graphics.drawImage(pdfImage, 0, 0, imageWidth, imageHeight);
            loadedPage++;
            if (loadedPage == count) {
              // Exporting the document as pdf
              pdfdocument.save(
                (this.$refs.container.ej2Instances.documentEditor.documentName === ''
                  ? 'sample'
                  : this.$refs.container.ej2Instances.documentEditor.documentName) + '.pdf'
              );
            }
          };
        }, 500);
      }
    }
  }
};
</script>

The Web API hosted link https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

Export document as pdf in server-side using Syncfusion® DocIO

With the help of Syncfusion DocIO, you can export the document as PDF in server-side. Here, you can search the text.

The following way illustrates how to convert the document as PDF:

  • Using serialize API, convert the document as Sfdt and send it to server-side.

    The following example code illustrates how to convert the document to sfdt and pass it to server-side.

<template>
  <div id="app">
    <button id='export' v-on:click="onClick">Export</button>
    <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' height="590px" id='container'
      :enableToolbar='true'></ejs-documenteditorcontainer>
  </div>
</template>
<script setup>
import { DocumentEditorContainerComponent as EjsDocumenteditorcontainer, Toolbar } from '@syncfusion/ej2-vue-documenteditor';
import { provide, ref } from 'vue';

const container = ref(null);
const serviceUrl = 'https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/';

//Inject require modules.
provide('DocumentEditorContainer', [Toolbar])

const onClick = function () {
  let http = new XMLHttpRequest();
  // Replace your running web service Url here
  http.open('POST', 'http://localhost:62869/api/documenteditor/ExportPdf');
  http.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
  http.responseType = 'json';
  //Serialize document content as SFDT.
  let sfdt = { content: container.value.ej2Instances.documentEditor.serialize() };
  //Send the sfdt content to server side.
  http.send(JSON.stringify(sfdt));
}

</script>
<template>
  <div id="app">
    <button id='export' v-on:click="onClick">Export</button>
    <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' height="590px" id='container'
      :enableToolbar='true'></ejs-documenteditorcontainer>
  </div>
</template>
<script>
import { DocumentEditorContainerComponent, Toolbar } from '@syncfusion/ej2-vue-documenteditor';

export default {
  components: {
    'ejs-documenteditorcontainer': DocumentEditorContainerComponent
  },
  data() {
    return {
      serviceUrl: 'https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/'
    };
  },
  provide: {
    //Inject require modules.
    DocumentEditorContainer: [Toolbar]
  },
  methods: {
    onClick: function () {
      let http = new XMLHttpRequest();
      // Replace your running web service Url here
      http.open('POST', 'http://localhost:62869/api/documenteditor/ExportPdf');
      http.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
      http.responseType = 'json';
      //Serialize document content as SFDT.
      let sfdt = { content: this.$refs.container.ej2Instances.documentEditor.serialize() };
      //Send the sfdt content to server side.
      http.send(JSON.stringify(sfdt));
    }
  }
};
</script>

The Web API hosted link https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

  • Using Save API in server-side, you can convert the sfdt to stream.
  • Finally, convert the stream to PDF using Syncfusion.DocIORenderer.Net.Core library.

    The following example code illustrates how to process the sfdt in server-side.

    [AcceptVerbs("Post")]
    [HttpPost]
    [EnableCors("AllowAllOrigins")]
    [Route("ExportPdf")]
    public void ExportPdf([FromBody]SaveParameter data)
    {
        // Converts the sfdt to stream
        Stream document = WordDocument.Save(data.content, FormatType.Docx);
        Syncfusion.DocIO.DLS.WordDocument doc = new Syncfusion.DocIO.DLS.WordDocument(document, Syncfusion.DocIO.FormatType.Docx);
        //Instantiation of DocIORenderer for Word to PDF conversion
        DocIORenderer render = new DocIORenderer();
        //Converts Word document into PDF document
        PdfDocument pdfDocument = render.ConvertToPDF(doc);
        // Saves the document to server machine file system, you can customize here to save into databases or file servers based on requirement.
        FileStream fileStream = new FileStream("sample.pdf", FileMode.OpenOrCreate, FileAccess.ReadWrite);
        //Saves the PDF file
        pdfDocument.Save(fileStream);
        pdfDocument.Close();
        fileStream.Close();
        document.Close();
    }

Get the complete working sample in this link.